<?php
/*********************************************************************
*	XLAgenda 4 par Xavier LE QUERE
*   Contact : support[at]xlagenda.fr
*   Web : http://www.xlagenda.fr
*   (C) Xavier LE QUERE, 2003-2011
*   Version 4.2 - 13/02/11
*
*   This program is free software; you can redistribute it and/or modify
*   it under the terms of the GNU General Public License as published by
*   the Free Software Foundation; either version 2 of the License, or
*   (at your option) any later version.
*   
*   This program is distributed in the hope that it will be useful,
*   but WITHOUT ANY WARRANTY; without even the implied warranty of
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*   GNU General Public License for more details.
*   
*   You should have received a copy of the GNU General Public License
*   along with this program; if not, write to the Free Software
*   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*********************************************************************/

/*********************************************************************
*	NE PAS EDITER CE FICHIER
*   POUR PERSONNALISER L'ADMIN EDITEZ header.php ET footer.php
*   VOUS POUVEZ AUSSI EDITER LA FEUILLE DE STYLE
*********************************************************************/
include("../include/data.php");
include("../include/connexion.php");
include("../include/functions.php");
initSession();
//INITIALISATION DES VARIABLES
$authorised=0;
$x=0;
$erreur=0;
$user_exists=0;
$email_exists=0;
//RECUPERATION DES DONNEES
$the_user=(isset($_SESSION['the_user'])) ? $_SESSION['the_user'] : Null;
$the_pass=(isset($_SESSION['the_pass'])) ? $_SESSION['the_pass'] : Null;
$id=(isset($_REQUEST["id"])) ? $_REQUEST['id'] : Null;
$action=(isset($_REQUEST["action"])) ? $_REQUEST['action'] : Null;
$form=(isset($_POST["form"])) ? $_POST['form'] : Null;
$user=(isset($_POST["user"])) ? $_POST['user'] : Null;
$user_old=(isset($_POST["user_old"])) ? $_POST['user_old'] : Null;
$pass_perso=(isset($_POST["pass_perso"])) ? $_POST['pass_perso'] : Null;
$pass=(isset($_POST["pass"])) ? $_POST['pass'] : Null;
$pass2=(isset($_POST["pass2"])) ? $_POST['pass2'] : Null;
$nom=(isset($_POST["nom"])) ? $_POST['nom'] : Null;
$prenom=(isset($_POST["prenom"])) ? $_POST['prenom'] : Null;
$email=(isset($_POST["email"])) ? $_POST['email'] : Null;
$email_old=(isset($_POST["email_old"])) ? $_POST['email_old'] : Null;
$ajouter_user=(isset($_POST["ajouter"])) ? $_POST['ajouter'] : Null;
$modifier_user=(isset($_POST["modifier"])) ? $_POST['modifier'] : Null;
$supprimer_user=(isset($_POST["supprimer"])) ? $_POST['supprimer'] : Null;
$valider_user=(isset($_POST["valider"])) ? $_POST['valider'] : Null;
$gerer_user=(isset($_POST["gerer"])) ? $_POST['gerer'] : Null;
$actif=(isset($_POST["actif"])) ? $_POST['actif'] : Null;
//SUPPRESSION DES SLASHES SI NECESSAIRE
if (get_magic_quotes_gpc())
{
$action=stripslashes($action);
$form=stripslashes($form);
$user=stripslashes($user);
$user_old=stripslashes($user_old);
$pass_perso=stripslashes($pass_perso);
$pass=stripslashes($pass);
$pass2=stripslashes($pass2);
$nom=stripslashes($nom);
$prenom=stripslashes($prenom);
$email=stripslashes($email);
$email_old=stripslashes($email_old);
}
//PROTECTION POUR EVITER LES INJECTIONS SQL
$action=mysql_real_escape_string($action);
$form=mysql_real_escape_string($form);
$user=mysql_real_escape_string($user);
$user_old=mysql_real_escape_string($user_old);
$pass_perso=mysql_real_escape_string($pass_perso);
$pass=mysql_real_escape_string($pass);
$pass2=mysql_real_escape_string($pass2);
$nom=mysql_real_escape_string($nom);
$prenom=mysql_real_escape_string($prenom);
$email=mysql_real_escape_string($email);
$email_old=mysql_real_escape_string($email_old);
//CONTROLE DE LA VALIDITE DES ID
if (isset($id) AND (!is_numeric($id)))
{
die();
}
if (isset($ajouter_user) AND (!is_numeric($ajouter_user)))
{
die();
}
if (isset($modifier_user) AND (!is_numeric($modifier_user)))
{
die();
}
if (isset($supprimer_user) AND (!is_numeric($supprimer_user)))
{
die();
}
if (isset($valider_user) AND (!is_numeric($valider_user)))
{
die();
}
if (isset($gerer_user) AND (!is_numeric($gerer_user)))
{
die();
}
if (isset($actif) AND (!is_numeric($actif)))
{
die();
}
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html lang="fr">
<head>
<title><?php echo $titre_page ?> | Administration</title>
<meta http-equiv="content-type" content="text/html; charset=iso-8859-1">
<meta name="author" content="XLAgenda <?php echo get_version() ?>">
<meta name="author-url" content="http://www.xlagenda.fr">
<link rel="stylesheet" href="style.css" type="text/css">
<meta name="robots" content="noindex, nofollow">
<meta http-equiv="pragma" content="no_cache">
<script type="text/javascript">
<!--
function confirmerSuppression(id)
{
	if (confirm('Voulez-vous rellement supprimer cet utilisateur ?\nCette action ne pourra pas tre annule.')) 
	{
	document.location.href="gerer1.php?action=supprimer&id="+id;
	}
}
-->
</script>
<?php
include("header.php");
//ON TESTE SI L'UTILISATEUR EST CONNECTE
if (!isSessionValide())
{
//SI l'UTILISATEUR N'EST PAS CONNECTE
echo "<p>Votre session a expir&eacute;, merci de <a  href=\"index.php\">vous reconnecter</a>.</p>\n";
}

else
{
//SI L'UTILISATEUR EST CONNECTE
//CONTROLE DE L'AUTORISATION D'ACCEDER A LA PAGE
$auth=array('gerer');
$auth=isAutorise($auth);
$auth_gerer=$auth['gerer'];
if (!$auth_gerer)
{
echo "<p>Vous n'&ecirc;tes pas autoris&eacute; &agrave; acc&eacute;der &agrave; cette page.<br>\n";
echo "Pour revenir au menu principal, <a href=\"index.php\">cliquez ici</a>.</p>\n";
}
else
{
$authorised=1;
}
}

//SI l'UTILISATEUR EST AUTORISE A ACCEDER A LA PAGE
if ($authorised == 1)
{
include ("menu.php");
?>
<h2>G&eacute;rer les utilisateurs</h2>
<?php
//SI LE FORMULAIRE D'AJOUT D'UTILISATEUR A ETE ENVOYE
if ($action == "ajouter")
{
$query="SELECT id FROM $table_users WHERE user = '$user'";
$result=mysql_query($query);
$user_exists=mysql_num_rows($result);
$query="SELECT id FROM $table_users WHERE email = '$email'";
$result=mysql_query($query);
$email_exists=mysql_num_rows($result);
$nombre=strlen("$pass");
if ((!$user) OR (!$pass) OR (!$email))
{
echo "<p class=\"erreur\">Erreur : vous n'avez pas rempli tous les champs obliagtoires.<br>L'ajout a &eacute;chou&eacute;.</p>\n";
$erreur = "1";
}
if ($pass AND ($pass != $pass2))
{
echo "<p class=\"erreur\">Erreur : vous avez introduit deux mots de passe diff&eacute;rents.<br>L'ajout a &eacute;chou&eacute;.</p>\n";
$erreur = "1";
}
if ($pass AND ($user == $pass))
{
echo "<p class=\"erreur\">Erreur : le mot de passe doit &ecirc;tre diff&eacute;rent du nom d'utilisateur.<br>L'ajout a &eacute;chou&eacute;.</p>\n";
$erreur = "1";
}
if ($user_exists)
{
echo "<p class=\"erreur\">Erreur : le nom d'utilisateur <b>$user</b> est d&eacute;j&agrave; utilis&eacute;.<br>L'ajout a &eacute;chou&eacute;.</p>\n";
$erreur = "1";
}
if ($email_exists)
{
echo "<p class=\"erreur\">Erreur : l'adresse <b>$email</b> est d&eacute;j&agrave; utilis&eacute;e.<br>L'ajout a &eacute;chou&eacute;.</p>\n";
$erreur = "1";
}
if ($email AND !check_email($email))
{
echo "<p class=\"erreur\">Erreur : l'adresse email introduite est erron&eacute;e.<br>L'ajout a &eacute;chou&eacute;.</p>\n";
$erreur = "1";
}
if ($pass AND $nombre < 6)
{
echo "<p class=\"erreur\">Erreur: le mot de passe doit avoir au moins six caract&egrave;res.<br>L'ajout a &eacute;chou&eacute;.</p>\n";
$erreur = "1";
}
if (!$erreur)
{
$pass=crypt_pass($pass);
$query="INSERT INTO $table_users (user,password,email,nom,prenom,ajouter,modifier,supprimer,valider,gerer,actif) VALUES ('$user','$pass','$email','$nom','$prenom','$ajouter_user','$modifier_user','$supprimer_user','$valider_user','$gerer_user','$actif')";
$result=mysql_query($query);
$user = stripslashes($user);
echo "<p class=\"confirmation\">L'utilisateur <b>$user</b> a &eacute;t&eacute; ajout&eacute;.</p>\n";
}
}
//SI L'UTILISATEUR A CLIQUE SUR UN LIEN DE SUPPRESSION
if ($action == "supprimer" AND $id)
{
$query="SELECT user FROM $table_users WHERE id='$id'";
$result=mysql_query($query);
if ($result)
{
$ligne=mysql_fetch_array($result);
$user=$ligne["user"];
$user=stripslashes($user);
}
if (!mysql_num_rows($result))
{
echo "<p class=\"erreur\">L'utilisateur demand&eacute; n'existe pas.</p>\n";
}
//MODE DEMO
elseif ((isset($demo) AND $demo) AND $user == "demo")
{
echo "<p class=\"erreur\">Vous n'&ecirc;tes pas autoris&eacute; &agrave; supprimer cet utilisateur.</p>\n";
}
else
{
$query="DELETE FROM $table_users WHERE id='$id'";
$result=mysql_query($query);
if ($result)
{
echo "<p class=\"confirmation\">L'utilisateur <b>$user</b> a &eacute;t&eacute; supprim&eacute;.</p>\n";
}
$query="OPTIMIZE TABLE $table_users";
$result=mysql_query($query);
}
}
//SI L'UTILISATEUR VIENT DE RENVOYER LE FORMULAIRE DE MODIFICATION
if ($action == "modifier" AND $id)
{
if ($user != $user_old)
{
$query="SELECT id FROM $table_users WHERE user = '$user'";
$result=mysql_query($query);
$user_exists=mysql_num_rows($result);
}
if ($email != $email_old)
{
$query="SELECT id FROM $table_users WHERE email = '$email'";
$result=mysql_query($query);
$email_exists=mysql_num_rows($result);
}
if (!$user)
{
echo "<p class=\"erreur\">Erreur : vous devez indiquer un nom d'utilisateur.</p>\n";
$erreur = "1";
}
if ($email AND !check_email($email))
{
echo "<p class=\"erreur\">Erreur : l'adresse email introduite est erron&eacute;e.</p>\n";
$erreur = "1";
}
if ($user_exists)
{
echo "<p class=\"erreur\">Erreur : le nom d'utilisateur $user est d&eacute;j&agrave; utilis&eacute;.</p>\n";
$erreur = "1";
}
if ($email AND $email_exists)
{
echo "<p class=\"erreur\">Erreur : l'adresse $email est d&eacute;j&agrave; utilis&eacute;e.</p>\n";
$erreur = "1";
}
if ($pass)
{
$nombre=strlen($pass);
if ($nombre < 6)
{
echo "<p class=\"erreur\">Erreur : le nouveau mot de passe fait moins de 6 caract&egrave;res.</p>\n";
$erreur=1;
}
if ($pass != $pass2)
{
echo "<p class=\"erreur\">Erreur : vous avez indiqu&eacute; deux mots de passe diff&eacute;rents.</p>\n";
$erreur=1;
}
if (crypt_pass($pass_perso) != $the_pass)
{
echo "<p class=\"erreur\">Erreur : votre mot de passe est invalide.</p>\n";
$erreur=1;
}
}
if ($erreur)
{
$user_old=stripslashes($user_old);
echo "<p class=\"erreur\">Le compte $user_old n'a pas &eacute;t&eacute; modifi&eacute;.</p>\n";
}
else
{
if ($pass)
{
$pass=crypt_pass($pass);
$query="UPDATE $table_users SET user='$user',password='$pass',nom='$nom',prenom='$prenom',email='$email',ajouter='$ajouter_user',modifier='$modifier_user',supprimer='$supprimer_user',valider='$valider_user',gerer='$gerer_user',actif='$actif' WHERE id='$id'";
$query2="SELECT pass FROM $table_users";
$result2=mysql_query($query2);
if ($result2)
{
$query3="UPDATE $table_users SET pass = '' WHERE id='$id'";
$result3=mysql_query($query3);
}
}
else
{
$query="UPDATE $table_users SET user='$user',nom='$nom',prenom='$prenom',email='$email',ajouter='$ajouter_user',modifier='$modifier_user',supprimer='$supprimer_user',valider='$valider_user',gerer='$gerer_user',actif='$actif' WHERE id='$id'";
}
$result=mysql_query($query);
if ($result)
{
$user_old=stripslashes($user_old);
echo "<p class=\"confirmation\">Le compte <b>$user_old</b> a &eacute;t&eacute; modifi&eacute;.</p>\n";
}
}
}
?>
<p class="warning">Vous ne pouvez pas modifier ou supprimer le compte <?php echo "<b>$the_user</b>" ?> avec lequel vous &ecirc;tes connect&eacute;.<br>
Pour le modifier, connectez-vous avec un autre compte ou utilisez <a href="profil.php">la page de modification de votre profil</a>. </p>
<?php
//NOMBRE D'UTILISATEURS EN ATTENTE DE VALIDATION
if ($auth_gerer)
{
$query="SELECT id FROM $table_demande";
$result=mysql_query($query);
if ($result)
{
$demande=mysql_num_rows($result);
if ($demande == "1")
{
echo "<p>Il y a 1 utilisateur en attente de validation - <a href=\"demande1.php\">G&eacute;rer</a></p>\n";
}
if ($demande > "1")
{
echo "<p>Il y a $demande utilisateurs en attente de validation - <a href=\"demande1.php\">G&eacute;rer</a></p>\n";
}
}
}
?>
<p>&gt; <a href="gerer3.php">Ajouter un utilisateur</a></p>
<table width="100%" border="0" cellspacing="2" cellpadding="5">
  <tr style="background-color:#ccc;"> 
    <td width="11%"><div align="center"><strong>Utilisateur</strong></div></td>
    <td width="14%"><div align="center"><strong>Adresse email</strong></div></td>
    <td width="12%"><div align="center"><strong>Peut ajouter un &eacute;v&eacute;nement</strong></div></td>
    <td width="12%"><div align="center"><strong>Peut modifier un &eacute;v&eacute;nement</strong></div></td>
    <td width="12%"><div align="center"><strong>Peut supprimer un &eacute;v&eacute;nement</strong></div></td>
    <td width="12%"><div align="center"><strong>Peut valider les &eacute;v&eacute;nements 
        en attente</strong></div></td>
    <td width="12%"><div align="center"><strong>Peut g&eacute;rer les utilisateurs 
        et les cat&eacute;gories</strong></div></td>
    <td width="15%"><div align="center"><strong>Les &eacute;v&eacute;nements qu'il 
        ajoute sont mis en attente</strong></div></td>
    <td width="15%"><div align="center"><strong>Action</strong></div></td>
  </tr>
  <?php
$query="SELECT * FROM $table_users ORDER BY user ASC";
$result=mysql_query($query);
if ($result)
{
while($ligne=mysql_fetch_array($result))
{
$id=$ligne["id"];
$user=$ligne["user"];
$email=$ligne["email"];
$ajouter=$ligne["ajouter"];
$modifier=$ligne["modifier"];
$supprimer=$ligne["supprimer"];
$valider=$ligne["valider"];
$gerer=$ligne["gerer"];
$actif=$ligne["actif"];
$user=stripslashes($user);
$pass=stripslashes($pass);
if(( $x - ( 2*floor ($x /2))) == 0)
{
echo "<tr style=\"background-color:#ddd;\">\n";
}
else
{
echo "<tr style=\"background-color:#ccc;\">\n";
}
echo "<td>$user</td>\n";
echo "<td>$email</td>\n";
if (!$ajouter)
{
echo "<td>Non</td>\n";
}
if ($ajouter)
{
echo "<td>Oui</td>\n";
}
if ($modifier == 1)
{
echo "<td>Seulement les siens</td>\n";
}
if ($modifier == 2)
{
echo "<td>Tous</td>\n";
}
if (!$modifier)
{
echo "<td>Non</td>\n";
}
if ($supprimer == 1)
{
echo "<td>Seulement les siens</td>\n";
}
if ($supprimer == 2)
{
echo "<td>Tous</td>\n";
}
if (!$supprimer)
{
echo "<td>Non</td>\n";
}
if (!$valider)
{
echo "<td>Non</td>\n";
}
if ($valider)
{
echo "<td>Oui</td>\n";
}
if (!$gerer)
{
echo "<td>Non</td>";
}
if ($gerer)
{
echo "<td>Oui</td>\n";
}
if (!$actif)
{
echo "<td>Oui</td>\n";
}
if ($actif)
{
echo "<td>Non</td>\n";
}
if ($the_user == $user)
{
echo "<td>Modifier<br>Supprimer</td>\n";
}
//MODE DEMO
elseif ((isset($demo) AND $demo) AND $user == "demo")
{
echo "<td>Modifier<br>Supprimer</td>\n";
}
else
{
echo "<td><a href=\"gerer2.php?id=$id\">Modifier</a><br><a href=\"javascript:confirmerSuppression($id)\">Supprimer</a></td>\n";
}
echo "</tr>\n";
$x=$x+1;
}
}
?>
</table>
<p>&gt; <a href="gerer3.php">Ajouter un utilisateur</a></p>
<p>&gt; <a href="index.php">Menu principal</a><br>
  &gt; <a href="close.php">D&eacute;connexion</a></p>
<?php
}
include("footer.php");
?>